--- configure.orig	Sun Feb 16 10:45:05 2003
+++ configure	Wed Feb 19 03:52:18 2003
@@ -8294,13 +8294,13 @@
 
 if test x$enable_deprecated_pspell = xyes ; then
 
-echo "$as_me:$LINENO: checking for new_pspell_manager in -lpspell" >&5
-echo $ECHO_N "checking for new_pspell_manager in -lpspell... $ECHO_C" >&6
-if test "${ac_cv_lib_pspell_new_pspell_manager+set}" = set; then
+echo "$as_me:$LINENO: checking for new_aspell_speller in -lpspell" >&5
+echo $ECHO_N "checking for new_aspell_speller in -lpspell... $ECHO_C" >&6
+if test "${ac_cv_lib_pspell_new_aspell_speller+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lpspell -lstdc++ -lpspell-modules $LIBS"
+LIBS="-lpspell -lstdc++ $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"
 #include "confdefs.h"
@@ -8311,7 +8311,7 @@
 #endif
 /* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
-char new_pspell_manager ();
+char new_aspell_speller ();
 #ifdef F77_DUMMY_MAIN
 #  ifdef __cplusplus
      extern "C"
@@ -8321,7 +8321,7 @@
 int
 main ()
 {
-new_pspell_manager ();
+new_aspell_speller ();
   ;
   return 0;
 }
@@ -8338,18 +8338,18 @@
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_lib_pspell_new_pspell_manager=yes
+  ac_cv_lib_pspell_new_aspell_speller=yes
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
-ac_cv_lib_pspell_new_pspell_manager=no
+ac_cv_lib_pspell_new_aspell_speller=no
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_pspell_new_pspell_manager" >&5
-echo "${ECHO_T}$ac_cv_lib_pspell_new_pspell_manager" >&6
-if test $ac_cv_lib_pspell_new_pspell_manager = yes; then
+echo "$as_me:$LINENO: result: $ac_cv_lib_pspell_new_aspell_speller" >&5
+echo "${ECHO_T}$ac_cv_lib_pspell_new_aspell_speller" >&6
+if test $ac_cv_lib_pspell_new_aspell_speller = yes; then
   cat >>confdefs.h <<_ACEOF
 #define HAVE_LIBPSPELL 1
 _ACEOF
@@ -10931,7 +10931,7 @@
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lldap -llber -lresolv $LIBS"
+LIBS="-lldap -llber $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 #line $LINENO "configure"
 #include "confdefs.h"
@@ -10986,7 +10986,7 @@
 #define ENABLE_LDAP 1
 _ACEOF
 
-              LIBS="-lldap -llber -lresolv $LIBS"
+              LIBS="-lldap -llber $LIBS"
 else
   { { echo "$as_me:$LINENO: error: *** You enabled LDAP but ldap library is not found." >&5
 echo "$as_me: error: *** You enabled LDAP but ldap library is not found." >&2;}
